[Debian-eeepc-commits] [SCM] Maintenance of eeepc-acpi-scripts debian package branch, master, updated. 1.1.5-79-g9314d60

Ben Armstrong synrg at debian.org
Sun Nov 14 13:05:42 UTC 2010


The following commit has been merged in the master branch:
commit 9314d604c1262a1539280aa8a603e6857b6bb9fd
Author: Ben Armstrong <synrg at debian.org>
Date:   Sun Nov 14 09:05:24 2010 -0400

    Add wireless key option and handler to eliminate coupling with kernel version to support backports.

diff --git a/debian/changelog b/debian/changelog
index 7cde805..84d06ae 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,8 +1,10 @@
 eeepc-acpi-scripts (1.1.12) UNRELEASED; urgency=low
 
-  * 
+  * Allow wireless toggle to be configured independently of kernel version,
+    but with the documented caveat that it is still intended for use with
+    older kernels without rfkill input.
 
- -- Ben Armstrong <synrg at sanctuary.nslug.ns.ca>  Sat, 13 Nov 2010 19:10:13 -0400
+ -- Ben Armstrong <synrg at sanctuary.nslug.ns.ca>  Sun, 14 Nov 2010 08:26:20 -0400
 
 eeepc-acpi-scripts (1.1.11) unstable; urgency=low
 
diff --git a/debian/eeepc-acpi-scripts.default.in b/debian/eeepc-acpi-scripts.default.in
index ca61568..3af852b 100644
--- a/debian/eeepc-acpi-scripts.default.in
+++ b/debian/eeepc-acpi-scripts.default.in
@@ -80,6 +80,9 @@ BLUETOOTH_FALLBACK_TO_HCITOOL='yes'
 #      Change 'super hybrid engine' setting.
 #  - handle_touchpad_toggle
 #      Toggles the touchpad on/off.
+#  - handle_wireless_toggle
+#      Toggles wireless on/off (intended for kernels with no rfkill input,
+#      i.e. <=2.6.27).
 #  - NONE
 #      Ignore the key.
 #  - custom command
@@ -96,6 +99,13 @@ SOFTBTNSHE_ACTION='handle_shengine'
 # Various Fn + key, not all of which are found on all models (or all BIOSes).
 # Labelling is "<700/900-series key>/<1000-series key> - function".
 # ("--" = not available.)
+# F2 - wireless toggle
+# Note: This key is intended for kernels without rfkill input (i.e. <= 2.6.27)
+#   If this key is assigned a handler for later kernels with rfkill input,
+#   it will be executed *in addition* to the kernel directly toggling wireless,
+#   so it cannot be used as a general purpose key assignable to different
+#   actions.
+FnF_WIRELESS='NONE'
 # --/F3 - touchpad toggle
 FnF_TOUCHPAD='handle_touchpad_toggle'
 # --/F4 - resolution change
diff --git a/eeepc-acpi-scripts/hotkey.sh b/eeepc-acpi-scripts/hotkey.sh
index 1895259..98e9c80 100755
--- a/eeepc-acpi-scripts/hotkey.sh
+++ b/eeepc-acpi-scripts/hotkey.sh
@@ -22,8 +22,6 @@ if [ -e "$DEFAULT" ]; then . "$DEFAULT"; fi
 code=$3
 value=$(test "x$1" = x- && cat "$BACKLIGHT" || echo "0x$3")
 
-LINUX_MINOR_REV=`uname -r | cut -c 5,6`
-
 handle_mute_toggle() {
     $PKG_DIR/volume.sh toggle
 }
@@ -113,6 +111,11 @@ handle_gsm_toggle() {
     fi
 }
 
+handle_wireless_toggle() {
+    /etc/acpi/asus-wireless.sh || :
+}
+
+
 case $code in
     # Fn + key:
     # <700/900-series key>/<1000-series key> - function
@@ -122,9 +125,10 @@ case $code in
     # (not a hotkey, not handled here)
 
     # F2/F2 - toggle wireless
+    # (for kernels without rfkill input, i.e. <= 2.6.27)
     0000001[01])
-	if [ $LINUX_MINOR_REV -le 27 ]; then
-		/etc/acpi/asus-wireless.sh || :
+	if [ "${FnF_WIRELESS}" != 'NONE' ]; then
+	    ${FnF_WIRELESS:-handle_wireless_toggle}
         fi
 	;;
 

-- 
Maintenance of eeepc-acpi-scripts debian package



More information about the Debian-eeepc-commits mailing list